package com.adealink.weparty.wallet.recharge.data

import com.google.gson.annotations.SerializedName


data class RechargeConfigReq(
    @SerializedName("walletType") val currency: Int,
    @SerializedName("rechargePlatform") val platform: Int = 2 //0:Official, 1:Android, 2:Browser
)

data class RechargeConfigRes(
    @SerializedName("items") val items: List<RechargeConfigData>,
)

data class RechargeConfigData(
    @SerializedName("id") val id: String,
    @SerializedName("coinRechargeAmount") val amount: Int,
    @SerializedName("amount") val spend: Double
)

data class RechargeItemData(
    val data: RechargeConfigData,
    var selected: Boolean = false
)

data class ConvertCurrencyReq(
    @SerializedName("fromWalletType") val fromCurrency: Int,
    @SerializedName("toWalletType") val toCurrency: Int,
    @SerializedName("amount") val amount: Double,
)